### A free/open-source library for quantitative finance

Public Member Functions
BilinearInterpolation Class Reference

bilinear interpolation between discrete points More...

`#include <ql/math/interpolations/bilinearinterpolation.hpp>`

Inheritance diagram for BilinearInterpolation:
[legend]

List of all members.

## Public Member Functions

template<class I1 , class I2 , class M >
| BilinearInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, const I2 &yEnd, const M &zData)

## Detailed Description

bilinear interpolation between discrete points

## Constructor & Destructor Documentation

BilinearInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | const I2 & | yEnd,
|  | const M & | zData
| ) |  |

Precondition:
  the and values must be sorted.